Class SelectICurve
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen
Assembly: NXOpen.dll
Syntax
public class SelectICurve : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectICurve()
Declaration
protected SelectICurve()
Properties
Value
Declaration
public ICurve Value { get; set; }
Property Value
Type | Description |
---|---|
ICurve |
Methods
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public ICurve GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
ICurve |
GetValue(out ICurve, out View, out Point3d)
Declaration
public void GetValue(out ICurve selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
ICurve | selection | |
View | view | |
Point3d | point |
GetValue(out InferSnapType.SnapType, out ICurve, out View, out Point3d, out ICurve, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out ICurve selection1, out View view1, out Point3d point1, out ICurve selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
ICurve | selection1 | |
View | view1 | |
Point3d | point1 | |
ICurve | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(ICurve, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(ICurve selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
ICurve | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(ICurve, View, Point3d)
Declaration
public void SetValue(ICurve selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
ICurve | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, ICurve, View, Point3d, ICurve, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, ICurve selection1, View view1, Point3d point1, ICurve selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
ICurve | selection1 | |
View | view1 | |
Point3d | point1 | |
ICurve | selection2 | |
View | view2 | |
Point3d | point2 |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink